<script language="javascript">
<?php
  $dir_ = "http://" . $_SERVER["HTTP_HOST"] . "/Studio/";
?>
/**
 * Classe: Mensage
 *         =======
 *
 */
function Mensage()
{
  /**
   *  Propriedades ==========================================================
   */
  this.statusCMD;

/**
 *  Metodos  ==============================================================
 */
//    var callId = jsrsCall( "http://10.6.4.100/Studio/core/rpcServer.Studio.php",
//Mensage._backSend

/* metodo send  -----------------------------------------------------  */
  this.send = function(txt) {
    var callId = jsrsCall( "<?php echo($dir_);?>core/rpcServer.Studio.php",
                           "iFrame_exec.Mensage._backSend",
                           "MsgServer.read",
                           txt,
                           false);
//alert('Texto: '+txt);
  }// End

/* metodo _backSend  ------------------------------------------------  */
  this._backSend = function( text, callId) {
    alert( 'Back: ' + text );
  }  

/* metodo exeCMD  ---------------------------------------------------  */
  this.exeCMD = function(txt)
  {
    var callId = jsrsCall( "rpcServer.Studio.php",
                           "Mensage._statusCMD",
                           "MsgServer.exec_cmd",
                           txt,
                           false);
  }// End

/**
 *  function _statusCMD()  ------------------------------------------------  //
 */  
  this._statusCMD = function(text, callId) {
    alert( 'ret: ' + text );
  }// End





}// End function Mensage()


var Mensage = new Mensage(); // Pseudo static


</script>
